
QGIS Application - Bug report #6318

"Download from GPS" stops to work after adding a new device in "GPS Device Editor"

2012-09-08 12:47 PM - Giovanni Manghi

Status: Closed

Priority: Normal

Assignee:

Category: C++ Plugins

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: wontfix

Crashes QGIS or corrupts data:No Copied to github as #: 15609

Description

I was trying to add in "GPS Device Editor" the necessary strings to allow me download the tracks from a usb and bluetooth data loggers.

I tested first the strings in GPSBabel/Osgeo4w and they were working, then I "translated" them to be added in QGIS, example:

gpsbabel -t -i skytraq -f COM6 -o gpx -F d:/tracks/test.gpx

to

%babel -t -i skytraq -f "%in" -o gpx -F "%out"

and I started to be frustrated because I got just messages like

The layer d:/tracks/test.gpx?type=track is not a valid layer and can not be added to the map

I was start thinking that I was making a mistake in defining the download string, but then i noticed that the "garmin serial" device/strings,

available out of the box in QGIS stopped also to work.

I tested to remove my newly created device at no avail.

I then removed qgis, cleaned the registry and re-installed QGIS, and now the "garmin serial" device works again. If I add again a new

device everything stops to work again.

History

#1 - 2012-09-10 01:44 AM - Giovanni Manghi

see also #6058

#2 - 2012-12-30 09:51 AM - Giovanni Manghi

- Priority changed from High to Normal

#3 - 2014-06-20 04:43 AM - Giovanni Manghi

- Resolution set to wontfix

- Status changed from Open to Closed

I believe that the GPS tools is an unmaintained piece of QGIS, moreover now basically any GPS unit saves data directly as GPX files, does this can be

closed.
